* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.main-title {
  margin: 50px 0;
}

.characters-list {
  display: flex;
  flex-wrap: wrap;
  border-bottom: 1px solid rgba(0, 0, 0, 0.5019607843);
  list-style: none;
  padding-bottom: 20px;
  margin-bottom: 20px;
}

.list-films-item {
  gap: 10px;
  display: flex;
  flex-direction: column;
  width: 70%;
  list-style: none;
  display: flex;
  box-shadow: 5px 5px 10px;
  padding: 30px 50px;
  margin-bottom: 20px;
}

li {
  margin-left: 10px;
}

h2 {
  text-align: center;
}

.characters-loader {
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.loader {
  position: relative;
  animation: rotate 4s linear infinite;
}

.loader:before,
.loader:after {
  content: "";
  width: 30px;
  height: 30px;
  border: 10px solid;
  border-radius: 50%;
  border-color: transparent transparent #ffff00 #ffff00;
  position: absolute;
  left: 0;
  top: 0;
  animation: spin 1s infinite ease-in;
}

.loader:before {
  left: -1px;
  top: 1px;
  border-color: #3f00ff #3f00ff transparent transparent;
  animation-name: spin;
}

@keyframes spin {
  from {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  to {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}